org.eclipse.ease.debugging.model

## Class EaseDebugLastExecutionResult

- java.lang.Object
- - org.eclipse.ease.debugging.model.EaseDebugVariable
  - - org.eclipse.ease.debugging.model.EaseDebugLastExecutionResult

All Implemented Interfaces:
  java.lang.Comparable<EaseDebugVariable>, IAdaptable, IDebugElement, IValueModification, IVariable

    public class EaseDebugLastExecutionResult
    extends EaseDebugVariable

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.ease.debugging.model.EaseDebugVariable

`EaseDebugVariable.Type`

### Constructor Summary

Constructors
Constructor and Description
`EaseDebugLastExecutionResult(EaseDebugVariable variable)`
`EaseDebugLastExecutionResult(java.lang.String name, java.lang.Object value, IDebugElement parent, java.lang.String referenceTypeName)`
`EaseDebugLastExecutionResult(java.lang.String name, java.lang.Object value, java.lang.String referenceTypeName)`
`EaseDebugLastExecutionResult(java.lang.String name, java.lang.Throwable exception)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isException()`

### Methods inherited from class org.eclipse.ease.debugging.model.EaseDebugVariable

`compareTo, getAdapter, getDebugTarget, getLaunch, getModelIdentifier, getName, getReferenceTypeName, getType, getValue, hasValueChanged, setParent, setType, setValue, setValue, supportsValueModification, toString, update, verifyValue, verifyValue`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EaseDebugLastExecutionResult

    public EaseDebugLastExecutionResult(java.lang.String name,
                                        java.lang.Object value,
                                        IDebugElement parent,
                                        java.lang.String referenceTypeName)

#### EaseDebugLastExecutionResult

    public EaseDebugLastExecutionResult(java.lang.String name,
                                        java.lang.Object value,
                                        java.lang.String referenceTypeName)

#### EaseDebugLastExecutionResult

    public EaseDebugLastExecutionResult(EaseDebugVariable variable)

#### EaseDebugLastExecutionResult

    public EaseDebugLastExecutionResult(java.lang.String name,
                                        java.lang.Throwable exception)

### Method Detail

#### isException

    public boolean isException()